GET/v1/unemployment

Get unemployment rate time series for a country

Return monthly unemployment rate time series for an EU/EEA country. Data from Eurostat une_rt_m (seasonally adjusted). **Filters:** - `country` — ISO alpha-2 code - `start_date` / `end_date` — inclusive ISO dates - `age_group` — TOTAL (default), Y_LT25 (youth), Y25-74 Source: Eurostat une_rt_m. Required scope: `eurostat:read`.

Authentication

Requires API key via X-API-Key header.

Parameters

NameInTypeRequiredDescription
countryquerystringrequiredISO 3166-1 alpha-2 country code
start_datequeryanyoptionalStart date (YYYY-MM-DD)
end_datequeryanyoptionalEnd date (YYYY-MM-DD)
age_groupquerystringoptionalAge group: TOTAL, Y_LT25, Y25-74

Example request

curl
curl -X GET \
  "https://eurostat.wageapi.com/api/v1/unemployment?country=DE&start_date=%3Cstart_date%3E&end_date=%3Cend_date%3E&age_group=TOTAL" \
  -H "X-API-Key: YOUR_API_KEY"

Responses

200Successful Response
dataUnemploymentResponserequired

Unemployment time series for a country.

country_codestringrequired
country_namestringrequired
observationsarray<UnemploymentDataPoint>optional
array of UnemploymentDataPoint
country_codestringrequired

ISO 3166-1 alpha-2 country code

country_namestringrequired

Human-readable country name

periodstring (date)required

Reference period (monthly)

rateanyoptional

Unemployment rate (%)

one of:
option 1:
number
option 2:
null
age_groupstringoptional

Age group (TOTAL, Y_LT25, Y25-74)

default "TOTAL"

sexstringoptional

Sex (T=total, M=male, F=female)

default "T"

truncatedbooleanoptional

default false

metadataMetadataSchemarequired
sourcesarray<SourceSchema>optional
array of SourceSchema
namestringrequired

Data source name (e.g., 'Eurostat')

datasetstringrequired

Specific dataset identifier

urlanyoptional

URL to the source dataset

one of:
option 1:
string
option 2:
null
last_updatedanyoptional

When this data was last refreshed

one of:
option 1:
string (date-time)
option 2:
null
request_idstringrequired

Unique request identifier

rate_limitanyoptional
one of:
option 1:
remainingintegerrequired

Remaining requests today

daily_limitintegerrequired

Total daily request limit

reset_atstring (date-time)required

When the rate limit resets

option 2:
null
paginationanyoptional
one of:
option 1:
pageintegerrequired
page_sizeintegerrequired
totalintegerrequired
total_pagesintegerrequired
option 2:
null
data_vintageanyoptional

Data freshness (e.g., 'GDP data from Q4 2025')

one of:
option 1:
string
option 2:
null
methodology_notesanyoptional

Methodology notes (e.g., 'Chain-linked volumes, 2015=100')

one of:
option 1:
string
option 2:
null
401Missing or invalid API key.
errorErrorDetailrequired

Structured error payload returned by all Aethar APIs.

codestringrequired

Machine-readable error code (e.g. INVALID_API_KEY)

messagestringrequired

Human-readable error message

statusintegerrequired

HTTP status code

request_idstringrequired

Request identifier — include in support tickets

suggestionanyoptional

Actionable hint on how to resolve the error

one of:
option 1:
string
option 2:
null
doc_urlanyoptional

Link to full documentation for this error code

one of:
option 1:
string
option 2:
null
fieldanyoptional

Field that caused the error (if applicable)

one of:
option 1:
string
option 2:
null
errorsanyoptional

Per-field validation errors (only for 422 VALIDATION_ERROR responses)

one of:
option 1:
array of object
object
option 2:
null
403API key lacks the required scope for this endpoint.
errorErrorDetailrequired

Structured error payload returned by all Aethar APIs.

codestringrequired

Machine-readable error code (e.g. INVALID_API_KEY)

messagestringrequired

Human-readable error message

statusintegerrequired

HTTP status code

request_idstringrequired

Request identifier — include in support tickets

suggestionanyoptional

Actionable hint on how to resolve the error

one of:
option 1:
string
option 2:
null
doc_urlanyoptional

Link to full documentation for this error code

one of:
option 1:
string
option 2:
null
fieldanyoptional

Field that caused the error (if applicable)

one of:
option 1:
string
option 2:
null
errorsanyoptional

Per-field validation errors (only for 422 VALIDATION_ERROR responses)

one of:
option 1:
array of object
object
option 2:
null
422Request validation failed (bad query params, unresolvable country, etc.).
errorErrorDetailrequired

Structured error payload returned by all Aethar APIs.

codestringrequired

Machine-readable error code (e.g. INVALID_API_KEY)

messagestringrequired

Human-readable error message

statusintegerrequired

HTTP status code

request_idstringrequired

Request identifier — include in support tickets

suggestionanyoptional

Actionable hint on how to resolve the error

one of:
option 1:
string
option 2:
null
doc_urlanyoptional

Link to full documentation for this error code

one of:
option 1:
string
option 2:
null
fieldanyoptional

Field that caused the error (if applicable)

one of:
option 1:
string
option 2:
null
errorsanyoptional

Per-field validation errors (only for 422 VALIDATION_ERROR responses)

one of:
option 1:
array of object
object
option 2:
null
429Daily rate limit exceeded for this API key.
errorErrorDetailrequired

Structured error payload returned by all Aethar APIs.

codestringrequired

Machine-readable error code (e.g. INVALID_API_KEY)

messagestringrequired

Human-readable error message

statusintegerrequired

HTTP status code

request_idstringrequired

Request identifier — include in support tickets

suggestionanyoptional

Actionable hint on how to resolve the error

one of:
option 1:
string
option 2:
null
doc_urlanyoptional

Link to full documentation for this error code

one of:
option 1:
string
option 2:
null
fieldanyoptional

Field that caused the error (if applicable)

one of:
option 1:
string
option 2:
null
errorsanyoptional

Per-field validation errors (only for 422 VALIDATION_ERROR responses)

one of:
option 1:
array of object
object
option 2:
null
500Unexpected server error. Includes a request_id for support.
errorErrorDetailrequired

Structured error payload returned by all Aethar APIs.

codestringrequired

Machine-readable error code (e.g. INVALID_API_KEY)

messagestringrequired

Human-readable error message

statusintegerrequired

HTTP status code

request_idstringrequired

Request identifier — include in support tickets

suggestionanyoptional

Actionable hint on how to resolve the error

one of:
option 1:
string
option 2:
null
doc_urlanyoptional

Link to full documentation for this error code

one of:
option 1:
string
option 2:
null
fieldanyoptional

Field that caused the error (if applicable)

one of:
option 1:
string
option 2:
null
errorsanyoptional

Per-field validation errors (only for 422 VALIDATION_ERROR responses)

one of:
option 1:
array of object
object
option 2:
null

Try this endpoint

Create a free Aethar account and generate an API key in 2 minutes.

Create free account →